Arduino A2DP

Loading...
Searching...
No Matches
Public Member Functions | List of all members
BluetoothA2DPOutputLegacy Class Reference

Legacy I2S Output Class. More...

`#include <BluetoothA2DPOutput.h>`

Inheritance diagram for BluetoothA2DPOutputLegacy:

## Public Member Functions
bool | begin () override
void | end () override
virtual void | set_output (audio_tools::AudioOutput &output)
| Not implemented.
virtual void | set_output (audio_tools::AudioStream &output)
| Not implemented.
virtual void | set_output (Print &output)
| Not implemented.
void | set_output_active (bool active) override
void | set_sample_rate (int rate) override
size_t | write (const uint8_t *data, size_t len) override

## Detailed Description

Legacy I2S Output Class.

Author
  Phil Schatzmann

Copyright
  Apache License Version 2

## Member Function Documentation

## ◆ begin()

bool BluetoothA2DPOutputLegacy::begin | ( |  | ) |
| override virtual

Implements BluetoothA2DPOutput.

## ◆ end()

void BluetoothA2DPOutputLegacy::end | ( |  | ) |
| override virtual

Implements BluetoothA2DPOutput.

## ◆ set_output() [1/3]

virtual void BluetoothA2DPOutput::set_output | ( | audio_tools::AudioOutput & | output | ) |
| inline virtual inherited

Not implemented.

Reimplemented in BluetoothA2DPOutputAudioTools, and BluetoothA2DPOutputDefault.

## ◆ set_output() [2/3]

virtual void BluetoothA2DPOutput::set_output | ( | audio_tools::AudioStream & | output | ) |
| inline virtual inherited

Not implemented.

Reimplemented in BluetoothA2DPOutputAudioTools, and BluetoothA2DPOutputDefault.

## ◆ set_output() [3/3]

virtual void BluetoothA2DPOutput::set_output | ( | Print & | output | ) |
| inline virtual inherited

Not implemented.

Reimplemented in BluetoothA2DPOutputAudioTools, BluetoothA2DPOutputPrint, and BluetoothA2DPOutputDefault.

## ◆ set_output_active()

void BluetoothA2DPOutputLegacy::set_output_active | ( | bool | active | ) |
| override virtual

Implements BluetoothA2DPOutput.

## ◆ set_sample_rate()

void BluetoothA2DPOutputLegacy::set_sample_rate | ( | int | rate | ) |
| override virtual

Implements BluetoothA2DPOutput.

## ◆ write()

size_t BluetoothA2DPOutputLegacy::write | ( | const uint8_t * | data,
|  | size_t | len
| ) |  |
| override virtual

Implements BluetoothA2DPOutput.

The documentation for this class was generated from the following files:

- src/BluetoothA2DPOutput.h
- src/BluetoothA2DPOutput.cpp